<!DOCTYPE html>
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<style>
    .img-invoice {
        width: 100px;
        text-align: center;
        margin: 0 auto;
    }

    .head {
        text-align: center;
        text-transform: uppercase;
    }

    #invoice thead tr th {
        text-align: left;
        border-bottom: 1px solid black;
        border-top: 1px solid black;
        padding-top: 4px;
    }

    #invoice thead tr {
        margin-bottom: 0;
        padding-bottom: 0;
    }

    #invoice tbody tr {
        padding: 0;
    }

    .text-center{
        text-align: center;
    }
</style>
<body>
<img src="{{ icon }}" class="img-invoice">
<p class="head">
    {{ comp.name|upper }}<br>
    {{ comp.ruc }}<br>
    {{ comp.address|upper }}
</p>
<p>
    <b>BOLETA:</b> {{ sale.id }}<br>
    <b>FECHA DE VENTA:</b> {{ sale.fecha_hora }}<br>
    <b>CLIENTE:</b> {{ sale.id_cliente.nombre_cliente|upper }}<br>
</p>
<table id="invoice">
    <thead>
    <tr>
        <th style="width: 20%;">FAMILIA</th>
        <th style="width: 40%;">PRODUCTO</th>
        <th style="width: 10%;">CANT</th>
        <th style="width: 15%;">P.UNITARIO</th>
        <th style="width: 15%;">TOTAL</th>
    </tr>
    </thead>
    <tbody>
    {% for d in sale.ventaproducto_set.all %}
        <tr {% if forloop.first %}style="padding-top: 3px;" {% endif %}>
            <td>{{ d.codigo.id_familia.familia }}</td>
            <td>{{ d.codigo.descripcion }}</td>
            <td class="text-center">{{ d.cantidad_venta_producto }}</td>
            <td class="text-center">${{ d.precio|floatformat:0 }}</td>
            <td style="text-align: right;">${{ d.subtotal|floatformat:0 }}</td>
        </tr>
    {% endfor %}
    <tr style="border-top: 1px solid black; padding-top: 4px;">
        <td colspan="4"><b>SUBTOTAL</b></td>
        <td style="text-align: right">${{ sale.subtotal|floatformat:0 }}</td>
    </tr>
    <tr style="padding-top: 0px;">
        <td colspan="4"><b>TOTAL A PAGAR</b></td>
        <td style="text-align: right">${{ sale.total|floatformat:0 }}</td>
    </tr>
    </tbody>
</table>
<table style="margin-top: 250px;">
    <thead>
    <tr>
        <th>****GRACIAS POR SU COMPRA****</th>
    </tr>
    <tr>
        <th>NOSE ACEPTAN CAMBIOS NI DEVOLUCIONES</th>
    </tr>
    </thead>
</table>
</body>
</html>